function [x_res,y_res] = rk2(x0,y0,tmax,h)
  t = [0:h:tmax]; % initialisations
  x = t * 0.0; 
  y = t * 0.0;
  x(1) = x0; 
  y(1) = y0; 
  nstep = tmax / h;
  for n = 1:nstep     % iterations 
    kx1 = h*f1(x(n),y(n));
    kx2 = h*f1(x(n)+kx1,y(n));
    x(n+1) = x(n)+(kx1+kx2)*0.5;
    ky1 = h*f2(x(n),y(n)); 
    ky2 = h*f2(x(n),y(n)+ky1); 
    y(n+1) = y(n)+((ky1+ky2)*0.5);
  end
  x_res = x(n); 
  y_res = y(n)