(*
 * RangeLab 1.0 (a static analyzer for numerical accuracy)
 * Copyright (C) 2011 Matthieu Martel
 * This file is part of RangeLab 1.0.
 *
 *  RangeLab is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  RangeLab is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with RangeLab. If not, see <http://www.gnu.org/licenses/>.
 *)

(*
 * The file array.ml contains functions used by the parser
 *)


open Types ;;


let rec processArrayLine arrLine resArray i = match arrLine with
	[] -> 		resArray
|	e::es ->	let _ = resArray.(i) <- e in
					processArrayLine es resArray (i+1) ;;
	
	
let rec processArrayAux arrLines resArray i = match arrLines with
	[] ->	resArray
| l::ls -> 	let a = processArrayLine l (Array.make (List.length l) (Cst(ValBottom,Lab(0)))) 0 in
			let _ = resArray.(i) <- a in
				processArrayAux ls resArray (i+1) ;;

						
let processArray a = processArrayAux a (Array.make (List.length a) (Array.make 1 (Cst(ValBottom,Lab(0))))) 0 ;;	(* used by the parser *)					
			
			